<?php
	
namespace Icinga\Module\GraphDash;

class Graphs {
	
	// Define all the graphs
	public static function getGraphs($host, $pnpurl, $view = 2) {
		// first parameter is host name, followed by graph services
		$hostname = array_shift($host);
		
		$graphs = array();		
		foreach($host as $service) {
			// disassemble service string into service name and the source graph number
			$arr = explode(',', $service);
			// if a source graph number is given, use it
			$source = (array_key_exists(1, $arr) and is_numeric($arr[1])) ? $arr[1] : '0';

			$url = '/'.$pnpurl.'/image?host='.$hostname.'&srv='.$arr[0].'&source='.$source.'&view='.$view;
			$graphs[] = ['url' => $url];
		}

	  return $graphs;
  }
}
