<?php

namespace Icinga\Module\GraphDash\ProvidedHook\Monitoring;

use Exception;
use Icinga\Application\Config;
use Icinga\Module\Monitoring\Hook\HostActionsHook;
use Icinga\Module\Monitoring\Object\Host;
use Icinga\Web\Url;

class HostActions extends HostActionsHook
{
    public function getActionsForHost(Host $host)
    {
        try {
           return $this->getThem($host);
        } catch (Exception $e) {
           return array();
        }
    }

    protected function getThem(Host $host)
    {
        $hostname = $host->host_name;
        $host->fetchCustomvars();
        $hostVariables = $host->hostVariables;	// identisch zu 'customvars', was ist der Unterschied?
        $graphdash_services = array();
        if (array_key_exists('graphdash_services', $hostVariables)) $graphdash_services = $hostVariables['graphdash_services'];

				// **** Todo: Icon auf graph.png setzen!
				
				// Add all graphdash graphs via url parameters
        $actions['GraphDash'] = Url::fromPath('graphdash/week', array_merge(array('name' => $hostname), $graphdash_services));
        // echo '<pre>';
        // print_r($actions['Inspect']);
        // die();

        return $actions;
    }
}

